移植 systemd 的一些进度

systemd 对内核有要求,所以内核升级到了2.6.38,不过测试无法启动。后改用fedora的config,这才发现,fedora已经用dracut替换了mkinitrd,fedora的发展太快了,而且有些东西变化太大,难以处理,再考虑要不要基于fedora重新开发,或者不再跟fedora,不再考虑兼容的问题了。

因为给joggler编译程序,装了一个magic 2.1.2046,虽然内核只是2.6.25.20,可是感觉还是挺好用的。不知道2.6(或者是3.0)能不能达到同样的程度。

没办法,先移植dracut吧,这个反正是必须升级了。内核如果还不行,就用haulm的。

dracut的项目页面:http://fedoraproject.org/wiki/Dracut

=================================

5.6日更新

整体移植fc的启动部分,需要重新编译或修改的包很多。已经进行了一个多星期了。

 

发表评论